Package com.sas.lsaf.execution.job

## Class JobPublishCheckinLocation

- java.lang.Object
- - com.sas.lsaf.execution.job.JobPublishCheckinLocation

- All Implemented Interfaces:
    `java.io.Serializable`

      public class JobPublishCheckinLocation
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the folders to check in and the method to check in their content. These locations must also be specified as part of `JobPublishSetup`.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobPublishCheckinLocation()` | Constructor.
    `JobPublishCheckinLocation​(java.lang.String path)` | Constructor.
    `JobPublishCheckinLocation​(java.lang.String path, boolean includeSubfolders)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getPath()` | Gets the path to the folder to check in when the job completes.
    `int` | `hashCode()` |
    `boolean` | `isIncludeSubfolders()` | Indicates whether to include the child folders and their content when the job completes.
    `void` | `setIncludeSubfolders​(boolean includeSubfolders)` | Sets whether to include the child folder content to check in when the job completes.
    `void` | `setPath​(java.lang.String path)` | Sets the path to the folder to check in when the job completes.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobPublishCheckinLocation

          public JobPublishCheckinLocation()

      Constructor.

    - #### JobPublishCheckinLocation

          public JobPublishCheckinLocation​(java.lang.String path)

      Constructor.
      Parameters:
        `path` - The path to the folder to check in when the job completes.

    - #### JobPublishCheckinLocation

          public JobPublishCheckinLocation​(java.lang.String path,
                                           boolean includeSubfolders)

      Constructor.
      Parameters:
        `path` - The path to the folder to check in when the job completes.
        `includeSubfolders` - Indicates whether to include child folder content to check in when the job completes.

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Gets the path to the folder to check in when the job completes.
      Returns:
        The path to the folder to check in.

    - #### setPath

          public void setPath​(java.lang.String path)

      Sets the path to the folder to check in when the job completes.
      Parameters:
        `path` - The path to the folder to check in.

    - #### isIncludeSubfolders

          public boolean isIncludeSubfolders()

      Indicates whether to include the child folders and their content when the job completes.
      Returns:
        Indicates whether to include the child folder content.

    - #### setIncludeSubfolders

          public void setIncludeSubfolders​(boolean includeSubfolders)

      Sets whether to include the child folder content to check in when the job completes. The default is false.
      Parameters:
        `includeSubfolders` - Indicates whether to include the child folder content.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`